package ca.sebastiendionne.grizzly.manager;

import java.nio.channels.SelectionKey;

import ca.sebastiendionne.grizzly.queue.QueueItem;
import ca.sebastiendionne.grizzly.server.ClientConnectionHandler;

public interface IEchoManager {

	void process(QueueItem item);
	void addToQueue(QueueItem item);
	void addToCache(SelectionKey key, ClientConnectionHandler ch);
	void removeFromCache(SelectionKey key);
}
